Package org.springframework.jdbc.core

# Interface ParameterDisposer

All Known Implementing Classes:
  `ArgumentPreparedStatementSetter`, `ArgumentTypePreparedStatementSetter`

public interface ParameterDisposer
Interface to be implemented by objects that can close resources allocated by parameters like `SqlLobValue` objects.

Typically implemented by `PreparedStatementCreators` and `PreparedStatementSetters` that support `DisposableSqlTypeValue` objects (for example, `SqlLobValue`) as parameters.

Since:
  1.1
Author:
  Thomas Risberg, Juergen Hoeller
See Also:
  - `PreparedStatementCreator`
  - `PreparedStatementSetter`
  - `DisposableSqlTypeValue`
  - `SqlLobValue`

## Method Summary

Modifier and Type
Method
Description
`void`
`cleanupParameters()`
Close the resources allocated by parameters that the implementing object holds, for example in case of a DisposableSqlTypeValue (like an SqlLobValue).

## Method Details

### cleanupParameters

void cleanupParameters()
Close the resources allocated by parameters that the implementing object holds, for example in case of a DisposableSqlTypeValue (like an SqlLobValue).

See Also:
  - `DisposableSqlTypeValue.cleanup()`
  - `SqlLobValue.cleanup()`